#ifndef __VFS_H
#define __VFS_H

#include "redir.h"


/*
 * These are called by the redirector
 */
int			vfs_setuppartition(int *disk,int *partition,int maxcache, int Unique);
void		vfs_savecontext();
void		vfs_restorecontext();
void		vfs_shutdown(unsigned l_unit);
int 		vfs_initsearch(unsigned l_unit, char far * path);
int			vfs_findnext(unsigned l_unit, SRCHREC_PTR srchrec, DIRREC_PTR dirrec);
void 		vfs_fill_sft(unsigned l_unit, SFTREC_PTR p, DIRREC_PTR dirrec, char far *fcbname);
unsigned 	vfs_readfile(unsigned l_unit, SFTREC_PTR p, unsigned size, char far *dst);

unsigned 	vfs_secpercluster(unsigned l_unit);
unsigned 	vfs_clusters(unsigned l_unit);
unsigned 	vfs_freeclusters(unsigned l_unit);
unsigned 	vfs_sectorsize(unsigned l_unit);


#endif		// __VFS_H
